Release 2.1.7
=============

Mon Dec 06 13:43:02 CST 2010	blaschke-oss

	3111718 org.sblim.cimclient SSL Code is using the wrong SSL Property

	WBEMConfiguration.java 1.33
	HttpSocketFactory.java 1.19
	WBEMConfigurationProperties.java 1.32
	sblim-cim-client2.properties 1.16
	NEWS 1.202

Mon Dec 06 13:22:30 CST 2010	blaschke-oss

	3109824 Move Java link from Sun to Oracle

	build.xml 1.42
	NEWS 1.201

Tue Nov 09 16:49:15 CST 2010	blaschke-oss

	3078280 Fix for a null pointer exception in 1.3.9.1

	WBEMConfiguration.java 1.32
	NEWS 1.200

Tue Nov 09 16:42:20 CST 2010	blaschke-oss

	3062747 SblimCIMClient does not log all CIM-XML responces.

	TimeStamp.java 1.7
	DebugInputStream.java 1.7
	CIMClientXML_HelperImpl.java 1.39
	NEWS 1.199

Release 2.1.6
=============

Wed Sep 15 06:21:25 CDT 2010	blaschke-oss

	3046073 Performance hit due to socket conn. creation with timeout

	WBEMConfigurationDefaults.java 1.23
	WBEMConfiguration.java 1.31
	HttpClient.java 1.33
	WBEMConfigurationProperties.java 1.31
	sblim-cim-client2.properties 1.15
	NEWS 1.197

Wed Sep 08 14:56:52 CDT 2010	blaschke-oss

	3048749 Hex digit parsing logic error in XMLPullParser

	XMLPullParser.java 1.22
	NEWS 1.196

Mon Aug 16 14:37:42 CDT 2010	blaschke-oss

	3028518 Additional StringBuilder use

	WBEMClientCIMXML.java 1.61
	XMLPullParser.java 1.21
	NEWS 1.195

Mon Aug 16 12:36:24 CDT 2010	blaschke-oss

	3027618 Close files/readers in finally blocks

	LogAndTraceBroker.java 1.19
	PegasusLocalAuthInfo.java 1.12
	HttpSocketFactory.java 1.18
	CIMVersion.java 1.3
	NEWS 1.194

Mon Aug 16 12:20:50 CDT 2010	blaschke-oss

	3027615 Use CLASS_ARRAY_T instead of new CIMDataType(CLASS,0)

	TVPair.java 1.14
	EmbeddedObjParsingTest.java 1.20
	CIMObjectFactory.java 1.17
	CIMXMLParserImpl.java 1.40
	NEWS 1.193

Thu Jul 29 13:51:56 CDT 2010	blaschke-oss

	3036683 HEAD branch ONLY: sync with Experimental branch

	TVPair.java 1.13
	EmbeddedObjParsingTest.java 1.19
	CIMDateTimeAbsoluteTest.java 1.12
	SerializeOption.java 1.5
	SLPConfig.java 1.13
	CIMEvent.java 1.7
	EnumerateResponseDOM.java 1.4
	ChunkedInputStream.java 1.10
	WwwAuthInfo.java 1.13
	HttpConnectionHandler.java 1.8
	HttpClientPool.java 1.12
	ValueObjectWithPathNode.java 1.7
	NodeConstIf.java 1.10
	LocalPathBuilder.java 1.7
	CIMXMLParseException.java 1.7
	CIMResponse.java 1.10
	WBEMListenerSBLIM.java 1.13
	WBEMClientFactory.java 1.11
	RoleCredential.java 1.11
	PasswordCredential.java 1.11
	NEWS 1.192

Thu Jul 29 09:01:25 CDT 2010	blaschke-oss

	3027479 Dead store to local variable

	MessageReader.java 1.7
	CIMXMLParserImpl.java 1.39
	CIMClientXML_HelperImpl.java 1.38
	NEWS 1.191

Thu Jul 29 08:53:07 CDT 2010	blaschke-oss

	3027392 Nullcheck of value previously dereferenced

	HttpServerConnection.java 1.14
	NEWS 1.190

Thu Jul 29 08:48:23 CDT 2010	blaschke-oss

	3026417 XMLAttributeValue does not use iHash field

	XMLPullParser.java 1.20
	NEWS 1.189

Thu Jul 29 08:33:25 CDT 2010	blaschke-oss

	3026360 Handle unwritten fields

	SLPConfig.java 1.12
	HttpUrlConnection.java 1.9
	NEWS 1.188

Thu Jul 29 08:27:36 CDT 2010	blaschke-oss

	3026316 XMLPullParser unused fields

	XMLPullParser.java 1.19
	NEWS 1.187

Thu Jul 29 08:22:10 CDT 2010	blaschke-oss

	3026311 Vacuous comparison of integer value

	SLPConfig.java 1.11
	NEWS 1.186

Thu Jul 29 08:10:28 CDT 2010	blaschke-oss

	3026302 CIMDateTimeInterval uses # constructor instead of valueOf

	CIMDateTimeInterval.java 1.22
	NEWS 1.185

Wed Jul 28 15:21:04 CDT 2010	blaschke-oss

	3023349 SLP uses # constructor instead of valueOf

	ServiceTable.java 1.6
	MessageTable.java 1.10
	SLPInputStream.java 1.10
	ServiceLocationAttribute.java 1.14
	NEWS 1.184

Wed Jul 28 15:12:42 CDT 2010	blaschke-oss

	3023348 Listener uses # constructor instead of valueOf

	WBEMListenerSBLIM.java 1.12
	NEWS 1.183
	
Wed Jul 28 15:06:02 CDT 2010	blaschke-oss

	3023340 CIMObjectFactory uses # constructor instead of valueOf

	CIMObjectFactory.java 1.16
	NEWS 1.182

Wed Jul 28 15:00:40 CDT 2010	blaschke-oss

	3023145 CharValue uses # constructor instead of valueOf

	CharValue.java 1.10
	NEWS 1.181

Wed Jul 28 14:56:04 CDT 2010	blaschke-oss

	3023143 CIMXMLParserImpl uses # constructor instead of valueOf

	CIMXMLParserImpl.java 1.38
	NEWS 1.180

Wed Jul 28 14:49:30 CDT 2010	blaschke-oss

	3023141 CIMObjectPath uses # constructor instead of valueOf

	CIMObjectPath.java 1.26
	NEWS 1.179

Wed Jul 28 14:42:42 CDT 2010	blaschke-oss

	3023135 DADescriptor equals/compareTo issue

	DADescriptor.java 1.7
	NEWS 1.178

Wed Jul 28 14:37:57 CDT 2010	blaschke-oss

	3023120 RequestDescriptor equals/compareTo issue

	MessageTable.java 1.9
	NEWS 1.177

Wed Jul 28 14:30:53 CDT 2010	blaschke-oss

	3023095 CIMQualifiedElementInterfaceImpl equals/hashCode issue

	CIMQualifiedElementInterfaceImpl.java 1.17
	NEWS 1.176

Wed Jul 28 14:23:19 CDT 2010	blaschke-oss

	3022554 Flushing socket ignores skip() return code

	HttpClient.java 1.32
	NEWS 1.175

Wed Jul 28 14:17:41 CDT 2010	blaschke-oss

	3022541 File descriptor leak in sample/unittest

	TestSuite.java 1.13
	NEWS 1.174
	Jsr48IndicationStresser.java 1.13

Wed Jul 28 14:11:02 CDT 2010	blaschke-oss

	3022524 iSortedValueEntries not serializable in Serializable class

	ServiceLocationAttribute.java 1.13
	NEWS 1.173

Wed Jul 28 14:03:09 CDT 2010	blaschke-oss

	3022519 ServiceLocationAttribute.equals() compares same array

	ServiceLocationAttribute.java 1.12
	NEWS 1.172

Wed Jul 28 13:56:13 CDT 2010	blaschke-oss

	3022501 Possible integer overflow in getTotalUSec

	CIMDateTimeAbsolute.java 1.20
	NEWS 1.171

Tue Jul 06 10:47:34 CDT 2010	blaschke-oss

	3019252 Methods concatenate strings using + in a loop

	WBEMClientCIMXML.java 1.60
	XMLPullParser.java 1.18
	NEWS 1.170

Tue Jul 06 10:38:23 CDT 2010	blaschke-oss

	3019214 SLP equals methods assume too much

	SLPTest.java 1.10
	ResponseCache.java 1.7
	NEWS 1.169

Tue Jul 06 10:32:05 CDT 2010	blaschke-oss

	3018178 CIMDateTimeInterval clean up

	CIMDateTimeInterval.java 1.21
	NEWS 1.168

Tue Jul 06 10:23:02 CDT 2010	blaschke-oss

	3004779 TCK: CIMDataType not throwing IllegalArgumentException

	CIMDataType.java 1.13
	NEWS 1.167

Tue Jul 06 10:15:20 CDT 2010	blaschke-oss

	3004762 HTTPClient infinite loop for HTTP 407

	HttpClient.java 1.31
	NEWS 1.166

Release 2.1.5
=============

Mon Jun 14 15:00:46 CDT 2010	blaschke-oss

	3001333 CIMMethod class ignores propagated parameter

	enumerateClasses.xml 1.8
	CIMXMLBuilderImpl.java 1.33
	CIMMethod.java 1.18
	NEWS 1.164

Mon Jun 14 14:52:13 CDT 2010	blaschke-oss

	3001680 CIMQualifierElementInterfaceImpl changes qualifiers

	enumerateClasses.xml 1.7
	EnumClasses.java 1.11
	CIMQualifiedElementInterfaceImpl.java 1.16
	NEWS 1.163

Mon Jun 14 14:22:16 CDT 2010	blaschke-oss

	3001359 XMLPullParser.CharString equals() method broken

	XMLPullParser.java 1.17
	NEWS 1.162

Mon Jun 14 14:14:03 CDT 2010	blaschke-oss

	3001357 CIMDeleteNameSpaceOp name clash

	CIMEnumNameSpaceOp.java 1.6
	CIMDeleteNameSpaceOp.java 1.6
	CIMCreateNameSpaceOp.java 1.6
	NEWS 1.161

Mon Jun 14 14:02:01 CDT 2010	blaschke-oss

	3001353 HttpHeaderParser ignores return value of toLowerCase()

	HttpHeaderParser.java 1.9
	NEWS 1.160

Mon Jun 14 13:55:33 CDT 2010	blaschke-oss

	3001345 File handle leaks in HttpSocketFactory and LogAndTraceBroker

	LogAndTraceBroker.java 1.18
	HttpSocketFactory.java 1.17
	NEWS 1.159

Thu May 27 08:01:54 CDT 2010	blaschke-oss

	3001243 Overview HTML out of date

	overview.html 1.18
	NEWS 1.158

Thu May 27 07:45:45 CDT 2010	blaschke-oss

	2997865 Infinite loop in HttpClient

	NEWS 1.157
	HttpClient.java 1.30

Thu May 27 07:23:22 CDT 2010	blaschke-oss

	2994776 http 401 gives CIM_ERR_FAILED instead of CIM_ERR_ACCESS_DENIED

	NEWS 1.156
	HttpClient.java 1.29

Thu May 13 08:41:55 CDT 2010	blaschke-oss

	2994252 CIMDateTimeInterval.getTotalMilliseconds() not unit tested

	CIMDateTimeIntervalTest.java 1.9
	unittest.html 1.11
	NEWS 1.155

Thu May 13 08:34:58 CDT 2010	blaschke-oss

	2994249 CIMDateTimeInterval(long) calculates milliseconds

	CIMDateTimeInterval.java 1.20
	NEWS 1.154

Thu May 13 08:30:11 CDT 2010	blaschke-oss

	2992349 CIMDateTimeInterval hr/min/sec max is 23/59/59, not 24/60/60

	CIMDateTimeInterval.java 1.19
	NEWS 1.153

Thu May 13 08:25:31 CDT 2010	blaschke-oss

	2989424 TCK: CIMDateTimeInterval constructor

	CIMDateTimeIntervalTest.java 1.8
	CIMDateTimeInterval.java 1.18
	NEWS 1.152

Thu May 13 08:13:41 CDT 2010	blaschke-oss

	2989367 CIMDateTimeInterval(long) constructor range wrong

	CIMDateTimeIntervalTest.java 1.7
	DTStringWriter.java 1.7
	CIMDateTimeInterval.java 1.17
	NEWS 1.151

Thu May 13 07:50:17 CDT 2010	blaschke-oss

	2990370 Development/unittest HTML out of date

	indications.html 1.11
	unittest.html 1.10
	terminology.html 1.5
	secure.html 1.7
	logging.html 1.7
	firststeps.html 1.7
	embedded.html 1.6
	discovery.html 1.7
	development.html 1.6
	configuration.html 1.10
	bestpractise.html 1.9
	NEWS 1.150

Thu May 13 05:46:55 CDT 2010	blaschke-oss

	2974884 Exception when attaching 2 CDRoms with invoke method

	LocalClassPathNode.java 1.9
	NEWS 1.149

Fri Apr 23 07:53:53 CDT 2010	blaschke-oss

	2978722 PasswordCredential(char[]) constructor is wrong

	RoleCredential.java 1.10
	PasswordCredential.java 1.10
	NEWS 1.148

Fri Apr 23 07:45:34 CDT 2010	blaschke-oss

	2975989 TCK: CIMQualifierType constructor does not handle null

	CIMQualifierType.java 1.12
	NEWS 1.147

Fri Apr 23 07:40:19 CDT 2010	blaschke-oss

	2975975 TCK: CIMObjectPath(String) does not handle null

	CIMObjectPath.java 1.25
	NEWS 1.146

Fri Apr 23 07:35:58 CDT 2010	blaschke-oss

	2975917 TCK: CIMClass.getProperty() does not handle null property

	CIMClass.java 1.24
	NEWS 1.145

Fri Apr 23 07:30:49 CDT 2010	blaschke-oss

	2975885 TCK: CIMXXX.hasQualifierValue(null,null) returns true

	CIMQualifiedElementInterfaceImpl.java 1.15
	NEWS 1.144

Fri Apr 23 07:24:15 CDT 2010	blaschke-oss

	2973300 TCK: CIMDateTimeXXX.compareTo() does not handle null

	CIMDateTimeInterval.java 1.16
	CIMDateTimeAbsolute.java 1.19
	NEWS 1.143

Fri Apr 23 07:13:38 CDT 2010	blaschke-oss

	2973230 TCK: UnsignedInteger64.equals() does not handle null

	UnsignedInteger64.java 1.12
	NEWS 1.142

Fri Apr 23 07:08:22 CDT 2010	blaschke-oss

	2973233 TCK: UnsignedIntegerNN.hashCode() not working

	NEWS 1.141
	UnsignedInteger8.java 1.15
	UnsignedInteger32.java 1.14
	UnsignedInteger16.java 1.14

Fri Apr 23 05:55:36 CDT 2010	blaschke-oss

	2972697 Fix spelling errors in HTML files

	indications.html 1.10
	unittest.html 1.9
	terminology.html 1.4
	secure.html 1.6
	logging.html 1.6
	embedded.html 1.5
	discovery.html 1.6
	development.html 1.5
	configuration.html 1.9
	bestpractise.html 1.8
	NEWS 1.140


Release 2.1.4
=============

Mon Mar 15 17:48:23 CDT 2010	blaschke-oss

	2970881 Add property to control EmbeddedObject case

	WBEMConfigurationDefaults.java 1.21
	WBEMConfiguration.java 1.30
	CIMXMLBuilderImpl.java 1.32
	WBEMConfigurationProperties.java 1.29
	sblim-cim-client2.properties 1.13
	NEWS 1.139

Mon Mar 15 07:08:22 CDT 2010	blaschke-oss

	2942520 IPv6 link local address with scope_id including a dot not supported

	WBEMClientCIMXML.java 1.59
	CIMHelper.java 1.6
	WBEMClientSBLIM.java 1.8
	NEWS 1.137

Mon Mar 15 06:43:00 CDT 2010	blaschke-oss

	2964463 WBEMClient.initialize() throws wrong exception

	WBEMClientCIMXML.java 1.58
	CIMHelper.java 1.5
	NEWS 1.136

Mon Mar 15 06:35:28 CDT 2010	blaschke-oss

	2963502 Add XML tracing to sample code

	Jsr48OperationSample.java 1.10
	NEWS 1.135

Mon Mar 15 06:28:18 CDT 2010	blaschke-oss

	2957387 EmbededObject XML attribute must not be all uppercases

	EmbObjGetInstNegative.xml 1.3
	EmbObjMethodRsp.xml 1.4
	EmbObjGetInstance.xml 1.6
	CIMXMLParserImpl.java 1.37
	unittest.html 1.8
	embedded.html 1.4
	CIMXMLBuilderImpl.java 1.31
	NEWS 1.134
	QualifiedNodeHandler.java 1.11
	EmbObjHandler.java 1.11
	sblim-cim-client2.properties 1.12
	WBEMConfigurationProperties.java 1.28

Mon Mar 15 05:39:35 CDT 2010	blaschke-oss

	2956716 Jsr48IndicationSample hardcoded namespace

	Jsr48IndicationSample.java 1.10
	NEWS 1.133

Mon Mar 15 05:33:41 CDT 2010	blaschke-oss

	2961592 Remove WBEMClient.setLocales() UnsupportedOperationException

	WBEMClient.java 1.15
	NEWS 1.132
	WBEMClientCIMXML.java 1.57

Mon Mar 15 05:23:58 CDT 2010	blaschke-oss

	2959586 Sync up WBEMClient javadoc with JSR48 1.0.0

	NEWS 1.131
	WBEMClient.java 1.14

Thu Mar 11 10:43:58 CST 2010	blaschke-oss

	2959264 Sync up javax.client.* javadoc with JSR48 1.0.0

	WBEMClientFactory.java 1.10
	WBEMClientConstants.java 1.5
	UserPrincipal.java 1.7
	RolePrincipal.java 1.8
	RoleCredential.java 1.9
	PasswordCredential.java 1.9
	EnumerateResponse.java 1.3
	NEWS 1.130

Thu Mar 11 09:29:31 CST 2010	blaschke-oss

	2959240 Sync up javax.listener.* javadoc with JSR48 1.0.0

	WBEMListenerFactory.java 1.10
	WBEMListener.java 1.6
	IndicationListener.java 1.5
	NEWS 1.129

Thu Mar 11 09:15:30 CST 2010	blaschke-oss

	2959235 Update build.xml copyright year

	build.xml 1.41
	NEWS 1.128

Thu Mar 11 09:08:41 CST 2010	blaschke-oss

	2959039 Fix WBEMException.toString() logic

	WBEMException.java 1.12
	NEWS 1.127

Thu Mar 11 09:02:09 CST 2010	blaschke-oss

	2958990 Remove WBEMException.CIM_ERR_TYPE_MISMATCH

	WBEMException.java 1.11
	NEWS 1.126

Thu Mar 11 08:53:35 CST 2010	blaschke-oss

	2958941 Sync up javax.wbem.* javadoc with JSR48 1.0.0

	WBEMException.java 1.10
	CloseableIterator.java 1.10
	NEWS 1.125

Thu Mar 11 08:02:08 CST 2010	blaschke-oss

	2913938 Duplicate CIM requests with identical message ID

	NEWS 1.124
	WBEMClientCIMXML.java 1.56

Thu Feb 25 12:20:53 CST 2010	blaschke-oss

	2946113 First steps code snippet has compile errors

	indications.html 1.9
	firststeps.html 1.6
	discovery.html 1.5
	bestpractise.html 1.7
	NEWS 1.123

Thu Feb 25 12:09:04 CST 2010	blaschke-oss

	2944830 Fix spelling of checkGranurality()

	CIMDateTimeInterval.java 1.15
	NEWS 1.122

Thu Feb 25 12:03:34 CST 2010	blaschke-oss

	2944842 Missing thrown ArrayIndexOutOfBoundsException

	CIMParameter.java 1.16
	CIMMethod.java 1.17
	CIMInstance.java 1.21
	CIMClassProperty.java 1.19
	CIMClass.java 1.23
	NEWS 1.121

Thu Feb 25 11:54:32 CST 2010	blaschke-oss

	2944839 Remove redundant toString() methods

	CIMClassProperty.java 1.18
	CIMArgument.java 1.10
	NEWS 1.120

Thu Feb 25 11:49:21 CST 2010	blaschke-oss

	2944833 Need private setValue in UnsignedInteger8

	UnsignedInteger8.java 1.14
	NEWS 1.119

Thu Feb 25 11:43:15 CST 2010	blaschke-oss

	2944826 getUTCOffset() incorrect if not significant field

	CIMDateTimeAbsoluteTest.java 1.11
	CIMDateTimeAbsolute.java 1.18
	NEWS 1.118

Thu Feb 25 11:33:09 CST 2010	blaschke-oss

	2944824 Missing getXmlSchemaName() in CIMObjectPath

	CIMObjectPathTest.java 1.13
	CIMObjectPath.java 1.24
	NEWS 1.117

Thu Feb 18 16:08:09 CST 2010	blaschke-oss

	2944219 Problem with pull operations using client against EMC CIMOM

	CIMClientXML_HelperImpl.java 1.37
	NEWS 1.116

Thu Feb 18 15:50:01 CST 2010	blaschke-oss

	2935258 Sync up javax.cim.* javadoc with JSR48 1.0.0

	UnsignedInteger8.java 1.13
	UnsignedInteger64.java 1.11
	UnsignedInteger32.java 1.13
	UnsignedInteger16.java 1.13
	CIMValuedElement.java 1.12
	CIMTypedElement.java 1.12
	CIMScope.java 1.8
	CIMQualifierType.java 1.11
	CIMQualifier.java 1.14
	CIMQualifiedElementInterface.java 1.8
	CIMProperty.java 1.16
	CIMParameter.java 1.15
	CIMObjectPath.java 1.23
	CIMNamedElementInterface.java 1.6
	CIMMethod.java 1.16
	CIMInstance.java 1.20
	CIMFlavor.java 1.10
	CIMElement.java 1.13
	CIMDateTimeInterval.java 1.14
	CIMDateTimeAbsolute.java 1.17
	CIMDateTime.java 1.12
	CIMDataType.java 1.12
	CIMClassProperty.java 1.17
	CIMClass.java 1.22
	CIMArgument.java 1.9
	NEWS 1.115

Thu Jan 28 12:32:24 CST 2010	blaschke-oss

	2930341 Sync up WBEMClientConstants with JSR48 1.0.0

	WBEMConfigurationTest.java 1.13
	WBEMClientCIMXML.java 1.55
	WBEMConfigurationDefaults.java 1.20
	WBEMConfiguration.java 1.29
	WBEMConfigurationProperties.java 1.27
	WBEMClientConstants.java 1.4
	sblim-cim-client2.properties 1.11
	NEWS 1.114

Thu Jan 28 08:03:55 CST 2010	blaschke-oss

	2927029 Unit test fails on Java 6

	EmbeddedObjParsingTest.java 1.18
	NEWS 1.113

Thu Jan 21 08:28:38 CST 2010	blaschke-oss

	2909941 RequestStateChange gives wrong exception/error id

	WBEMClientCIMXML.java 1.54
	NEWS 1.112
	
Thu Jan 21 08:16:43 CST 2010	blaschke-oss

	2912490 NullPointerException when invoking getInstance

	CIMXMLBuilderImpl.java 1.30
	NEWS 1.111

Release 2.1.3
=============

Mon Dec 14 11:49:15 CST 2009	blaschke-oss

	2912104 Sync up javax.wbem.* with JSR48 1.0.0

	WBEMException.java 1.9
	CloseableIterator.java 1.9
	NEWS 1.109

Mon Dec 14 11:17:07 CST 2009	blaschke-oss

	2907527 Fix SLP properties issues

	SLPLimits.java 1.6
	SLPConfigProperties.java 1.9
	sblim-slp-client2.properties 1.4
	NEWS 1.108

Mon Dec 14 10:42:08 CST 2009	blaschke-oss

	2901216 lost IndicationURL for IndcationListener.indicationOccured

	CIMIndicationHandler.java 1.16
	NEWS 1.107

Thu Dec 10 08:39:30 CST 2009	blaschke-oss

	2903373 Java doc incorrect

	WBEMTransportException.java 1.7
	WBEMAuthenticationException.java 1.6
	NEWS 1.106

Thu Dec 10 08:29:43 CST 2009	blaschke-oss

	2900875 Javadoc should link to external Java5 Objects / APIs

	build.xml 1.40
	NEWS 1.105

Wed Dec 02 10:36:32 CST 2009	blaschke-oss

	2886829 JSR48 new APIs: referenceClasses & referenceInstances

	WBEMClientCIMXML.java 1.53
	CIMClientXML_HelperImpl.java 1.36
	NEWS 1.104
	WBEMClient.java 1.13

Wed Dec 02 10:09:43 CST 2009	blaschke-oss

	2899859 javax.wbem.client missing JSR48 credential/principal APIs

	UserPrincipal.java 1.6
	RolePrincipal.java 1.7
	RoleCredential.java 1.8
	NEWS 1.103


Wed Dec 02 09:51:35 CST 2009	blaschke-oss

	2899389 Password maximum length of 16?

	PasswordCredential.java 1.8
	NEWS 1.102

Tue Nov 17 16:36:43 CST 2009	blaschke-oss

	2888774 support POST retry on HTTP error 505

	WBEMClientCIMXML.java 1.52
	NEWS 1.101

Tue Nov 17 16:11:18 CST 2009	blaschke-oss

	2878054 Pull Enumeration Feature (PULL Parser)

	WBEMClientCIMXML.java 1.51
	EnumerateResponseSAX.java 1.4
	EnumerateResponsePULL.java 1.2
	CloseableIteratorPULL.java 1.19
	EnumerateResponseDOM.java 1.3
	CloseableIteratorGeneric.java 1.2
	NEWS 1.100

Tue Nov 17 14:07:07 CST 2009	blaschke-oss

	2884718 Merge JSR48 and SBLIM client properties

	WBEMConfigurationTest.java 1.12
	WBEMClientCIMXML.java 1.50
	WBEMConfigurationDefaults.java 1.19
	WBEMClientConstants.java 1.3
	sblim-cim-client2.properties 1.10
	NEWS 1.99

Tue Nov 17 13:39:34 CST 2009	blaschke-oss

	2882448 Add WBEMClientConstants from JSR48

	WBEMConfigurationTest.java 1.11
	WBEMConstants.java 1.14
	indications.html 1.8
	firststeps.html 1.5
	bestpractise.html 1.6
	WBEMListenerFactory.java 1.9
	WBEMClientFactory.java 1.9
	WBEMClientConstants.java 1.2
	Jsr48PullEnumSample.java 1.3
	Jsr48OperationSample.java 1.9
	Jsr48IndicationStresser.java 1.12
	Jsr48IndicationSample.java 1.9
	NEWS 1.98

Tue Nov 17 12:21:08 CST 2009	blaschke-oss

	2858933 JSR48 new APIs: associatorClasses & associatorInstances

	WBEMClientCIMXML.java 1.49
	CIMClientXML_HelperImpl.java 1.35
	WBEMClient.java 1.12
	NEWS 1.97

Mon Oct 19 09:58:34 CDT 2009	blaschke-oss

	2870455 Missing CLASS_ARRAY_T in CIMDataType

	CIMDataType.java 1.11
	NEWS 1.9

Mon Oct 19 09:48:53 CDT 2009	blaschke-oss

	2839595 SLP discovery fails on Unix IPv6 systems

	DatagramRequester.java 1.10
	NEWS 1.95

Mon Oct 19 09:37:49 CDT 2009	blaschke-oss

	2865222 enumerateQualifierTypes shouldn't require a class name

	WBEMClientCIMXML.java 1.48
	CIMClientXML_HelperImpl.java 1.34
	NEWS 1.94

Mon Oct 19 09:04:39 CDT 2009	blaschke-oss

	2845128 CIMObjectPath.toString() misses host

	CIMObjectPath.java 1.22
	NEWS 1.93

Mon Oct 19 08:55:08 CDT 2009	blaschke-oss

	2846231 connection failure on CIMOM w/o user/pw

	WBEMConfigurationDefaults.java 1.18
	WBEMConfiguration.java 1.28
	WBEMClientCIMXML.java 1.47
	WBEMConfigurationProperties.java 1.26
	sblim-cim-client2.properties 1.9
	NEWS 1.92

Mon Oct 19 07:52:18 CDT 2009	blaschke-oss

	2860081 Pull Enumeration Feature (DOM Parser)

	WBEMClientCIMXML.java 1.46
	EnumerateResponseSAX.java 1.3
	EnumerateResponseDOM.java 1.2
	CloseableIteratorDOM.java 1.18
	CIMXMLParserImpl.java 1.36
	NEWS 1.91

Release 2.1.2
=============

Mon Sep 14 13:13:04 CDT 2009	blaschke-oss

	2849970 createVALUEARRAY fails to create reference array

	CIMXMLBuilderImpl.java 1.29
	NEWS 1.89

Mon Sep 14 10:47:08 CDT 2009	raman_arora

	2845211 Pulled Enumeration Support (SAX Parser)

	WBEMClient.java 1.11
	EnumerateResponse.java 1.2
	CloseableIteratorSAX.java 1.14
	ValueInstanceWithPathNode.java 1.2
	SimpleRspNode.java 1.9
	MethodResponseNode.java 1.10
	IReturnValueNode.java 1.8
	IMethodResponseNode.java 1.8
	WBEMClientCIMXML.java 1.45
	EnumerateResponseSAX.java 1.2
	NodeFactory.java 1.6
	NodeConstIf.java 1.9
	CIMClientXML_HelperImpl.java 1.33
	Jsr48PullEnumSample.java 1.2
	NEWS 1.88

Thu Aug 27 10:17:26 CDT 2009	blaschke-oss

	2834838 Add interface to retrieve version number and product name

	testcases.txt 1.17
	CIMVersionTest.java 1.2
	CIMVersion.java 1.2
	NEWS 1.87

Thu Aug 27 10:06:02 CDT 2009	blaschke-oss

	2817962 socket creation connects w/o a timeout

	HttpClientTest.java 1.7
	HttpClient.java 1.28
	NEWS 1.86

Thu Aug 27 09:31:35 CDT 2009	blaschke-oss

	2823494 Change Boolean constructor to static

	EnumClasses.java 1.10
	ValueTypeTest.java 1.7
	TVPair.java 1.12
	SVCTest.java 1.9
	ParserTest.java 1.23
	EmbeddedObjParsingTest.java 1.17
	SLPStreamTest.java 1.10
	ConvertTest.java 1.8
	SLPTest.java 1.9
	CIMMethodTest.java 1.7
	SLPConfig.java 1.10
	ServiceLocationAttribute.java 1.11
	BooleanValue.java 1.9
	QualifiedNodeHandler.java 1.10
	KeyValueNode.java 1.11
	CIMObjectFactory.java 1.15
	CIMXMLParserImpl.java 1.35
	CIMXMLBuilderImpl.java 1.28
	CIMQualifiedElementInterfaceImpl.java 1.14
	CIMClassProperty.java 1.16
	CIMClass.java 1.21
	NEWS 1.85

Release 2.1.1
=============

Sun Jun 14 21:34:09 CDT 2009	blaschke-oss

	2806362 Missing new CIMDateTimeAbsolute.getUTCOffset() method

	CIMDateTimeAbsoluteTest.java 1.10
	CIMDateTimeAbsolute.java 1.16
	NEWS 1.83

Thu Jun 11 21:33:23 CDT 2009	raman_arora

	2797550 Make code compatible with JSR48 / Java Generics

	EnumClasses.java 1.9
	XMLHostStrTest.java 1.7
	ValueTypeTest.java 1.6
	TrailerTest.java 1.10
	TVPair.java 1.11
	SVCTest.java 1.8
	ParserTest.java 1.22
	ModifyInstanceTest.java 1.7
	MethodRspChecker.java 1.9
	MethodCallChecker.java 1.7
	EmbeddedObjParsingTest.java 1.16
	EmbeddedObjBuildingTest.java 1.9
	Common.java 1.7
	CloseableIteratorTest.java 1.6
	CIMBuilder.java 1.18
	CimXmlSerializerTest.java 1.7
	Common.java 1.6
	CIMParameterTest.java 1.6
	CIMObjectPathTest.java 1.12
	CIMMethodTest.java 1.6
	CIMInstanceTest.java 1.5
	CIMClassPropertyTest.java 1.6
	CIMSetQualifierTypeOp.java 1.6
	CIMInvokeMethodOp.java 1.7
	CIMCreateQualifierTypeOp.java 1.6
	WBEMClientCIMXML.java 1.44
	CloseableIteratorSAX.java 1.13
	CloseableIteratorPULL.java 1.18
	CloseableIteratorDOM.java 1.17
	MOF.java 1.19
	SimpleRspNode.java 1.8
	SimpleExpRspNode.java 1.7
	QualifierNode.java 1.12
	QualifiedNodeHandler.java 1.9
	QualiDeclNode.java 1.8
	PropertyNode.java 1.9
	PropertyArrayNode.java 1.9
	ParamValueNode.java 1.8
	MethodResponseNode.java 1.9
	MethodNode.java 1.10
	LocalInstancePathNode.java 1.8
	KeyBindingNode.java 1.7
	InstancePathNode.java 1.9
	InstanceNode.java 1.8
	InstanceNameNode.java 1.8
	IParamValueNode.java 1.8
	ClassNode.java 1.9
	AbstractSimpleRspNode.java 1.4
	AbstractPropertyNode.java 1.9
	AbstractParameterNode.java 1.9
	AbstractParamValueNode.java 1.5
	AbstractMethodCallNode.java 1.9
	SAXHelper.java 1.6
	LocalPathBuilder.java 1.6
	CIMXMLParserImpl.java 1.34
	CIMXMLBuilderImpl.java 1.27
	CIMClientXML_HelperImpl.java 1.32
	CIMQualifiedElementInterfaceImpl.java 1.13
	CIMInstanceBuilder.java 1.14
	GenericExts.java 1.5
	package.html 1.4
	WBEMClient.java 1.10
	CIMValuedElement.java 1.11
	CIMQualifierType.java 1.10
	CIMQualifier.java 1.13
	CIMQualifiedElementInterface.java 1.7
	CIMProperty.java 1.15
	CIMParameter.java 1.14
	CIMObjectPath.java 1.21
	CIMMethod.java 1.15
	CIMInstance.java 1.19
	CIMClassProperty.java 1.15
	CIMClass.java 1.20
	CIMArgument.java 1.8
	Jsr48OperationSample.java 1.8
	Jsr48IndicationStresser.java 1.11
	Jsr48IndicationSample.java 1.8
	Jsr48CimSample.java 1.7
	CloseableIterator.java 1.8

Tue Jun 09 09:40:58 CDT 2009	raman_arora

	2797696 Input files use unchecked or unsafe operations

	SLPStreamTest.java 1.9
	SLPOutputStream.java 1.7
	ServiceLocationAttribute.java 1.10
	GenericExts.java 1.4

Mon Jun 08 13:41:55 CDT 2009	raman_arora

	2795671 Add Type to Comparable <T>

	MessageTable.java 1.8
	DADescriptor.java 1.6
	ServiceLocationAttribute.java 1.9
	UnsignedInteger8.java 1.12
	UnsignedInteger64.java 1.10
	UnsignedInteger32.java 1.12
	UnsignedInteger16.java 1.12
	CIMElement.java 1.12
	CIMDateTimeInterval.java 1.13
	CIMDateTimeAbsolute.java 1.15
	CIMDateTime.java 1.11

Mon Jun 08 13:25:01 CDT 2009	raman_arora

	2799260 Fix left over @author tag from Java5 upgrade

	All package.html files
	unittest.html 1.7
	terminology.html 1.3
	secure.html 1.5
	logging.html 1.5
	indications.html 1.7
	firststeps.html 1.4
	embedded.html 1.3
	discovery.html 1.4
	development.html 1.4
	configuration.html 1.8
	bestpractise.html 1.5
	overview.html 1.17

Mon Jun 08 13:08:24 CDT 2009	raman_arora

	2798931 - Fix spelling of WBEMListenerFactory.getPROTOCOLS()

	WBEMListenerFactory.java 1.8

Sun Jun 07 11:40:47 CDT 2009	blaschke-oss

	2791860 Export instance to mof, wrong syntax

	MOF.java 1.18
	NEWS 1.82

Thu May 21 10:47:56 CDT 2009	blaschke-oss

	2787464 lang exception in Chinese env with Java client 2.0.7

	MessageLoader.java 1.6
	NEWS 1.81

Thu May 21 10:31:49 CDT 2009	blaschke-oss

	2784078 Code cleanup: messages_XX.properties

	messages_en.properties 1.15
	messages_de.properties 1.15
	NEWS 1.80

Tue Apr 28 14:42:44 CDT 2009	blaschke-oss

	2763216 Code cleanup: visible spelling/grammar errors

	TrailerTest.java 1.9
	MethodRspChecker.java 1.8
	EmbeddedObjParsingTest.java 1.15
	Common.java 1.6
	CloseableIteratorTest.java 1.5
	TestCase.java 1.12
	TCPThread.java 1.5
	ServiceAgent.java 1.7
	SLPConfigProperties.java 1.8
	WBEMClientCIMXML.java 1.43
	CloseableIteratorPULL.java 1.17
	CloseableIteratorDOM.java 1.16
	WBEMConstants.java 1.13
	MOF.java 1.17
	URIString.java 1.9
	IntegerValue.java 1.11
	CharValue.java 1.9
	LogAndTraceBroker.java 1.17
	PegasusLocalAuthInfo.java 1.11
	HttpConnectionHandler.java 1.7
	HttpClientMethod.java 1.8
	HttpClient.java 1.27
	AuthorizationInfo.java 1.9
	ValueNamedInstanceNode.java 1.8
	ResponseDestinationNode.java 1.7
	MultiExpRspNode.java 1.8
	MethodResponseNode.java 1.8
	MethodNode.java 1.9
	KeyValueNode.java 1.10
	IMethodResponseNode.java 1.7
	ExpMethodResponseNode.java 1.7
	ErrorNode.java 1.8
	XMLDefaultHandlerImpl.java 1.8
	NodeConstIf.java 1.8
	EmbObjHandler.java 1.10
	CIMObjectFactory.java 1.14
	CimXmlSerializer.java 1.7
	CIMXMLParserImpl.java 1.33
	CIMXMLBuilderImpl.java 1.26
	CIMResponse.java 1.9
	CIMClientXML_HelperImpl.java 1.31
	DTStringReader.java 1.7
	CIMInstanceBuilder.java 1.13
	WBEMListenerSBLIM.java 1.11
	WBEMConfigurationProperties.java 1.25
	WBEMClientSBLIM.java 1.7
	CIMQualifier.java 1.12
	CIMProperty.java 1.14
	CIMObjectPath.java 1.20
	CIMFlavor.java 1.9
	CIMElement.java 1.11
	CIMDateTimeInterval.java 1.12
	CIMClass.java 1.19
	SLPFindAttributes.java 1.6
	SLPClient.java 1.6
	Jsr48OperationSample.java 1.7
	Jsr48IndicationStresser.java 1.10
	Jsr48IndicationSample.java 1.7
	WBEMConfigurationTest.java 1.10
	SLPStreamTest.java 1.8
	ConvertTest.java 1.7
	SLEnumerationImpl.java 1.9
	RequestMessage.java 1.7
	XMLPullParser.java 1.16
	DiscovererSLP.java 1.10
	AdvertisementCatalog.java 1.8
	WBEMClient.java 1.9
	NEWS 1.79

Mon Apr 27 10:04:59 CDT 2009	blaschke-oss

	2750520 Code cleanup from empty statement et al

	HttpMethod.java 1.7
	HttpHeaderParser.java 1.8
	HttpClient.java 1.26
	ValueRefArrayNode.java 1.8
	AbstractMultiRspNode.java 1.5
	WBEMException.java 1.8
	UnsignedInteger8.java 1.11
	UnsignedInteger64.java 1.9
	UnsignedInteger32.java 1.11
	UnsignedInteger16.java 1.11
	CIMQualifierType.java 1.9
	CIMQualifier.java 1.11
	CIMProperty.java 1.13
	CIMParameter.java 1.13
	CIMMethod.java 1.14
	CIMDateTimeInterval.java 1.11
	CIMDateTimeAbsolute.java 1.13
	CIMClassProperty.java 1.14
	CIMClass.java 1.18
	CIMArgument.java 1.7
	NEWS 1.78

Mon Apr 27 08:48:07 CDT 2009	blaschke-oss

	2714989 Code cleanup from redundant null check et al

	WwwAuthInfo.java 1.12
	HttpClient.java 1.25
	CIMXMLParserImpl.java 1.32
	EmbeddedObjParsingTest.java 1.14
	CIMIndicationHandler.java 1.15
	XMLPullParser.java 1.15
	ASCIIPrintStream.java 1.7
	NEWS 1.77

Release 2.1.0
=============

Wed Mar 11 09:03:37 CDT 2009	blaschke-oss

	2680372 Eliminate duplicate entries in javadoc allclasses-frame.html

	build.xml 1.39
	NEWS 1.75

Wed Mar 11 08:52:54 CDT 2009	blaschke-oss
	
	2641758 CIM Client does not recognize HTTP extension headers

	HttpHeaderTest.java 1.6
	HttpHeader.java 1.10
	NEWS 1.74

Wed Mar 11 08:36:38 CDT 2009	blaschke-oss

	2620505 EmbeddedObject qualifier is missing from CIMClass

	EmbeddedObjParsingTest.java 1.13
	CIMQualifiedElementInterfaceImpl.java 1.12
	NEWS 1.73

Wed Mar 11 08:10:03 CDT 2009	blaschke-oss

	2433593 isArray returns true for method parameters of type reference

	ParameterRefArrayNode.java 1.9
	NEWS 1.72

Tue Mar 10 11:32:41 CDT 2009	raman_arora

	2531371 Upgrade Java CIM Client 2.* to JDK 1.5 (Phase 2)

	XMLHostStrTest.java 1.6
	TVPair.java 1.10
	SVCTest.java 1.6
	ParserTest.java 1.20
	MethodRspChecker.java 1.6
	EmbeddedObjParsingTest.java 1.11
	SLEnumerationImpl.java 1.7
	ResultTable.java 1.8
	ResponseCache.java 1.6
	LocatorImpl.java 1.5
	DatagramRequester.java 1.8
	DACache.java 1.5
	ServiceLocationEnumeration.java 1.7
	ValueReferenceNode.java 1.6
	ValueRefArrayNode.java 1.6
	ValueObjectWithPathNode.java 1.6
	ValueObjectWithLocalPathNode.java 1.6
	ValueObjectNode.java 1.7
	ValueNode.java 1.7
	ValueNamedInstanceNode.java 1.6
	ValueArrayNode.java 1.8
	SimpleRspNode.java 1.6
	QualifierNode.java 1.10
	QualifiedNodeHandler.java 1.8
	QualiDeclNode.java 1.6
	PropertyReferenceNode.java 1.8
	Node.java 1.10
	NameSpacePathNode.java 1.8
	MultiRspNode.java 1.6
	MultiReqNode.java 1.6
	MultiExpRspNode.java 1.6
	MultiExpReqNode.java 1.6
	MethodResponseNode.java 1.6
	MethodNode.java 1.7
	LocalNameSpacePathNode.java 1.7
	LocalInstancePathNode.java 1.6
	LocalClassPathNode.java 1.7
	InstanceNode.java 1.6
	InstanceNameNode.java 1.6
	IReturnValueNode.java 1.6
	ExpMethodCallNode.java 1.6
	ErrorNode.java 1.6
	ClassNode.java 1.7
	AbstractPropertyNode.java 1.7
	AbstractParameterNode.java 1.7
	AbstractMethodCallNode.java 1.7
	AbstractMessageNode.java 1.5
	WBEMServiceAdvertisementSLPTest.java 1.6
	DiscovererSLPTest.java 1.9
	AdvertisementCatalogTest.java 1.8
	ServiceTable.java 1.5
	ServiceAgent.java 1.6
	MessageTable.java 1.7
	ServiceTypeRequest.java 1.6
	ServiceTypeReply.java 1.7
	ServiceRequest.java 1.6
	ServiceReply.java 1.7
	ServiceRegistration.java 1.6
	ServiceDeregistration.java 1.6
	ServiceAcknowledgment.java 1.7
	SLPOutputStream.java 1.6
	SLPInputStream.java 1.8
	SAAdvert.java 1.7
	RequestMessage.java 1.6
	ReplyMessage.java 1.6
	DADescriptor.java 1.5
	DAAdvert.java 1.7
	AttributeRequest.java 1.6
	AttributeReply.java 1.7
	SLPConfig.java 1.9
	Net.java 1.5
	AttributeHandler.java 1.5
	AdvertiserImpl.java 1.7
	ServiceLocationManager.java 1.7
	ServiceLocationAttributeVerifier.java 1.6
	ServiceLocationAttributeDescriptor.java 1.6
	ServiceLocationAttribute.java 1.7
	Locator.java 1.6
	Advertiser.java 1.6
	CIMIndicationHandler.java 1.14
	CIMEventDispatcher.java 1.11
	CIMEvent.java 1.6
	WBEMConfiguration.java 1.27
	ThreadPool.java 1.11
	StringSorter.java 1.5
	MOF.java 1.15
	XMLPullParser.java 1.13
	WwwAuthInfo.java 1.10
	HttpSocketFactory.java 1.15
	HttpServerConnection.java 1.13
	HttpHeaderParser.java 1.7
	HttpHeader.java 1.9
	HttpClientPool.java 1.10
	HttpClient.java 1.23
	Challenge.java 1.6
	AuthorizationInfo.java 1.7
	AuthorizationHandler.java 1.6
	WBEMServiceAdvertisementSLP.java 1.5
	DiscovererSLP.java 1.8
	XMLDefaultHandlerImpl.java 1.6
	NodePool.java 1.5
	NodeFactory.java 1.5
	CIMObjectFactory.java 1.13
	CIMXMLParserImpl.java 1.30
	CIMResponse.java 1.8
	CIMRequest.java 1.7
	CIMMessage.java 1.8
	CIMClientXML_HelperImpl.java 1.30
	WBEMServiceAdvertisement.java 1.5
	AdvertisementCatalog.java 1.7
	WBEMListenerSBLIM.java 1.9
	LogAndTraceManager.java 1.7
	GenericExts.java 1.2
	UnsignedInteger8.java 1.9
	UnsignedInteger64.java 1.7
	UnsignedInteger32.java 1.9
	UnsignedInteger16.java 1.9
	CIMInstance.java 1.17
	CIMElement.java 1.9
	CIMDateTime.java 1.9
	CIMClass.java 1.16
	slpMain.java 1.5
	SLPTool.java 1.6
	SLPRegistration.java 1.5
	SLPFindServices.java 1.5
	SLPFindServiceTypes.java 1.5
	SLPFindAttributes.java 1.5
	SLPClient.java 1.5
	Jsr48OperationSample.java 1.6
	Jsr48IndicationStresser.java 1.8
	sblim-cim-client2.properties 1.8
	build.xml 1.38
	README 1.6
	NEWS 1.71
	SLPStreamTest.java 1.7
	ConvertTest.java 1.6
	SLPTest.java 1.8
	LogAndTraceBrokerTest.java 1.7
	HttpClientTest.java 1.5
	CIMObjectPathTest.java 1.10
	CIMDateTimeAbsoluteTest.java 1.8
	TestSuite.java 1.11
	TestCase.java 1.11
	GenericUTestExts.java 1.2
	CIMSingleResultOperation.java 1.6
	WBEMClientCIMXML.java 1.42
	CloseableIteratorDOM.java 1.15
	KeyValuePairs.java 1.6
	LogAndTraceBroker.java 1.15
	ChunkedOutputStream.java 1.6
	CIMQualifiedElementInterfaceImpl.java 1.11
	CIMInstanceBuilder.java 1.11
	CIMElementSorter.java 1.9
	CloseableIterator.java 1.7

Thu Mar 05 11:48:44 CST 2009	raman_arora

	2573575 Fix build.xml to allow file names >100 chars

	build.xml 1.37
	
Thu Mar 05 10:59:20 CST 2009	raman_arora

	2524131 Upgrade Java CIM Client 2.* to JDK 1.5 (Phase 1)
	
	All .java files
	GenericExts.java 1.1
	GenericUTestExts.java 1.1
	build.xml 1.36
	overview.html 1.16
	development.html 1.3

Release 2.0.9
=============

Thu Dec 11 11:48:50 CST 2008	blaschke-oss

	2414503 SLPConfig : parseList not returning populated list

	SLPConfig.java 1.7
	sblim-slp-client2.properties 1.3
	NEWS 1.69

Thu Dec 11 11:41:52 CST 2008	blaschke-oss

	2412389 Test case failure: Java5 Complier : CIMDateTimeAbsoluteTest

	CIMDateTimeAbsoluteTest.java 1.6
	NEWS 1.68

Thu Dec 11 11:32:20 CST 2008	blaschke-oss

	2382763 HTTP header field Accept-Language does not include *

	WBEMClientCIMXML.java 1.40
	NEWS 1.67

Thu Dec 11 11:18:28 CST 2008	blaschke-oss

	2372030 Add property to control synchronized SSL handshaking

	WBEMConfigurationDefaults.java 1.16
	WBEMConfiguration.java 1.25
	HttpClient.java 1.21
	WBEMConfigurationProperties.java 1.22
	sblim-cim-client2.properties 1.7
	NEWS 1.66

Fri Dec 05 08:28:57 CST 2008	blaschke-oss

	2315151 Jsr48IndicationSample does not work

	Jsr48IndicationSample.java 1.5
	NEWS 1.65

Mon Nov 24 09:56:54 CST 2008	blaschke-oss

	2227442 Add missing serialVersionUID

	CIMTypedElement.java 1.9
	CIMElement.java 1.7
	CIMDateTime.java 1.7
	NEWS 1.64

Mon Nov 24 09:40:40 CST 2008	blaschke-oss

	2210455 Enhance javadoc, fix potential null pointers

	SLPOutputStream.java 1.4
	HttpServerConnection.java 1.11
	NodeConstIf.java 1.5
	CIMXMLBuilderImpl.java 1.23
	NEWS 1.63

Mon Nov 24 09:10:37 CST 2008	blaschke-oss

	2204488 Fix / clean code to remove compiler warnings

	TrailerTest.java 1.7
	SVCTest.java 1.4
	ParserTest.java 1.18
	ModifyInstanceTest.java 1.5
	MethodCallChecker.java 1.4
	EmbeddedObjParsingTest.java 1.9
	EmbeddedObjBuildingTest.java 1.7
	ConvertTest.java 1.4
	ResultTable.java 1.6
	MessageTable.java 1.5
	CIMXMLParserImpl.java 1.28
	CIMXMLBuilderImpl.java 1.22
	CIMClientXML_HelperImpl.java 1.28
	WBEMClientFactory.java 1.6
	CIMInstance.java 1.15
	CIMDateTimeInterval.java 1.8
	CIMDateTime.java 1.6
	NEWS 1.62
	WBEMConfigurationTest.java 1.8
	SLPTest.java 1.6
	AdvertisementCatalogTest.java 1.6
	CIMObjectPathTest.java 1.8
	CIMDateTimeIntervalTest.java 1.4
	CIMDateTimeAbsoluteTest.java 1.5
	SLPMessage.java 1.5
	SLPInputStream.java 1.6
	ServiceURL.java 1.5
	ServiceLocationManager.java 1.5
	CIMEventDispatcher.java 1.9
	WBEMConfiguration.java 1.24
	MOF.java 1.13
	URI.java 1.13
	NamespacePath.java 1.9
	XMLPullParser.java 1.11
	LogAndTraceBroker.java 1.13
	ChunkedInputStream.java 1.7
	PegasusLocalAuthInfo.java 1.8
	HttpUrlConnection.java 1.6
	HttpSocketFactory.java 1.13
	HttpServerMethod.java 1.5
	HttpServerConnection.java 1.10
	HttpMethod.java 1.5
	HttpHeader.java 1.7
	HttpClientMethod.java 1.5
	HttpClient.java 1.20
	QualifierNode.java 1.8
	NodeConstIf.java 1.4
	EmbObjHandler.java 1.7
	CIMInstanceBuilder.java 1.9
	WBEMListenerSBLIM.java 1.7
	slpMain.java 1.3
	SLPRegistration.java 1.3
	SLPFindServices.java 1.3
	SLPFindServiceTypes.java 1.3
	SLPFindAttributes.java 1.3
	SLPDeregistration.java 1.3
	SLPClient.java 1.3
	Jsr48IndicationSample.java 1.4
	Jsr48CimSample.java 1.5

Release 2.0.8
=============

Thu Sep 11 09:52:44 CDT 2008	blaschke-oss

	2093708 HTTP 400 - Bad Request, CIMError: request-not-valid

	CIMXMLBuilderImpl.java 1.21
	NEWS 1.60

Thu Sep 11 09:34:38 CDT 2008	blaschke-oss

	2087969 VALUE.ARRAY used in request for array of references

	CIMXMLBuilderImpl.java 1.20
	NEWS 1.59

Thu Sep 11 09:22:17 CDT 2008	blaschke-oss

	2087975 can't set the pPropagated in WBEMClient.enumerateClasses()

	WBEMClientCIMXML.java 1.39
	NEWS 1.58

Thu Sep 11 09:10:41 CDT 2008	blaschke-oss

	2038305 SAXException SBLIM Java Client V2.0.7

	Node.java 1.8
	NEWS 1.57

Thu Aug 14 16:31:28 CDT 2008	blaschke-oss

	2034342 HttpClient not closed on cimclient close

	WBEMClientCIMXML.java 1.38
	NEWS 1.56

Thu Aug 14 15:55:22 CDT 2008	blaschke-oss

	2013628 SAXException when listing classes

	QualifierNode.java 1.7
	QualifiedNodeHandler.java 1.6
	NEWS 1.55

Tue Jul 22 10:49:48 CDT 2008	raman_arora

	2002599 M-POST not supported in java-client 

	WBEMClientCIMXML.java 1.37

Release 2.0.7
=============

Mon Jun 30 08:54:05 CDT 2008	blaschke-oss

	1963102 NullPointerException when getting qualifiers

	CIMQualifiedElementInterfaceImpl.java 1.9
	NEWS 1.53
	
Mon Jun 30 08:21:26 CDT 2008	blaschke-oss

	2003590 Change licensing from CPL to EPL	

	All .java files
	All package.html files
	version.txt 1.2
	unittest.html 1.6
	terminology.html 1.2
	secure.html 1.4
	logging.html 1.4
	indications.html 1.6
	firststeps.html 1.3
	embedded.html 1.2
	discovery.html 1.3
	development.html 1.2
	configuration.html 1.7
	bestpractise.html 1.4
	sblim-cim-client2.spec 1.8
	sblim-cim-client2.properties 1.6
	build.xml 1.35
	README 1.5
	NEWS 1.52
	COPYING 1.2
	cimclient.properties 1.2
	overview.html 1.15
	
Release 2.0.6
=============

Thu Jun 12 16:15:20 CDT 2008	blaschke-oss

	1992337 2.0.6 packaging issues

	build.xml 1.34

Thu Jun 12 09:56:15 CDT 2008	blaschke-oss

	1944875 Indications with embedded objects are not accepted

	CIMXMLParserImpl.java 1.26
	NEWS 1.50

Thu Jun 12 08:06:20 CDT 2008	blaschke-oss

	1917321 CIMObjectPath("CIM_Memory","/root/ibmsd") broken

	CIMObjectPath.java 1.16
	NEWS 1.49

Thu May 29 19:01:14 CDT 2008	blaschke-oss

	1963762 connection leak in WBEMClientCIMXML

	WBEMClientCIMXML.java 1.35
	NEWS 1.48

Fri May 16 10:04:16 CDT 2008	blaschke-oss

	1949000 setLocales() is empty

	WBEMClientCIMXML.java 1.34
	NEWS 1.47

Fri May 16 09:55:44 CDT 2008	blaschke-oss

	1950819 SLP error: "java.io.IOException" on Linux and IPv6

	DatagramRequester.java 1.5
	NEWS 1.46

Fri May 16 09:43:31 CDT 2008	blaschke-oss

	1949918 malformed service URL crashes SLP discovery

	Affected Files:
	SLPTest.java 1.4
	ServiceTypeReply.java 1.4
	ServiceReply.java 1.4
	ServiceAcknowledgment.java 1.4
	SLPInputStream.java 1.4
	SAAdvert.java 1.4
	ReplyMessage.java 1.3
	DAAdvert.java 1.4
	AttributeReply.java 1.4
	ServiceLocationEnumeration.java 1.4
	NEWS 1.45
	SLPStreamTest.java 1.4
	SLEnumerationImpl.java 1.4
	ResultTable.java 1.4
	DatagramRequester.java 1.4

Fri May 16 08:37:59 CDT 2008	blaschke-oss

	1931621 CIMDateTimeAbsolute(Calendar) does not respect DST

	CIMDateTimeAbsoluteTest.java 1.3
	CIMDateTimeAbsolute.java 1.9
	NEWS 1.44

Fri May 16 08:18:33 CDT 2008	blaschke-oss

	1931216 In HTTPClient need to get status before closing connection

	HttpClient.java 1.18
	NEWS 1.43

Fri May 16 07:59:32 CDT 2008	blaschke-oss

	1917309 "/root:__NAMESPACE" not valid CIMObjectPath

	CIMObjectPathTest.java 1.6
	URI.java 1.11
	NEWS 1.42

Release 2.0.5
=============
	
Wed Mar 12 08:35:33 CDT 2008	blaschke-oss

    1911400 Source RPM file on SourceForge is broken

    SLPDefaults.java 1.4
    SLPConfigProperties.java 1.4
    sblim-slp-client2.properties 1.2
    sblim-cim-client2.spec 1.5
    build.xml 1.33
    README 1.4
    NEWS 1.40
	
Release 2.0.4
=============

Mon Feb 25 14:58:04 CET 2008	lupusalex

	1892046 Basic/digest authentication problem for Japanese users

	WwwAuthInfo.java 1.7
	HttpClient.java 1.17
	NEWS 1.38

Mon Feb 25 14:57:07 CET 2008	lupusalex

	1849235 DTStringWriter.writeSigned parameter pDigits is not used

	DTStringWriter.java 1.4
	NEWS 1.37

Mon Feb 25 14:56:03 CET 2008	lupusalex

	1855726 - CIMInstance.deriveInstance is setting wrong CIMObjectPath

	CIMInstance.java 1.13
	NEWS 1.36

Mon Feb 25 14:44:34 CET 2008	lupusalex

	Workaorund for Ant 1.7 bug

	build.xml 1.31

Mon Feb 25 14:43:05 CET 2008	lupusalex

	1892103 - SLP improvements

	MsgHeader.java 1.3
	DAAdvert.java 1.3
	RequestMessage.java 1.3
	ServiceTypeReply.java 1.3
	ServiceRequest.java 1.3
	ServiceRegistration.java 1.3
	ServiceDeregistration.java 1.3
	AttributeReply.java 1.3
	SLEnumerationImpl.java 1.3
	ResultTable.java 1.3
	ResponseCache.java 1.3
	ServiceTypeRequest.java 1.3
	ServiceReply.java 1.3
	ServiceAcknowledgment.java 1.3
	SerializeOption.java 1.2
	SLPMessage.java 1.3
	SLPInputStream.java 1.3
	SAAdvert.java 1.3
	AttributeRequest.java 1.3
	testcases.debug.txt 1.4
	SLPStreamTest.java 1.3
	SLPTest.java 1.3
	TCPRequester.java 1.3
	DatagramRequester.java 1.3
	ServiceAgent.java 1.3
	MessageTable.java 1.3
	DatagramThread.java 1.3
	TRC.java 1.3
	AdvertiserImpl.java 1.4
	DiscovererSLP.java 1.5
	SLPTool.java 1.3
	ServiceLocationException.java 1.4
	NEWS 1.35

Fri Feb 15 16:22:50 CET 2008	ebak

	file SerializeOption.java was initially added on branch Experimental.

	SerializeOption.java 1.1

Sat Dec 22 21:08:22 CET 2007	lupusalex

	ChangeLog updated

	ChangeLog 1.3

Thu Dec 20 15:39:50 CET 2007	lupusalex

	2.0.4 Release work

	NEWS 1.34

Thu Dec 20 15:20:50 CET 2007	lupusalex

	1804402 IPv6 ready SLP

	SLPStringTest.java 1.2
	SLPStreamTest.java 1.2
	ConvertTest.java 1.2
	SLPTest.java 1.2
	ServiceURLTest.java 1.2

Thu Dec 20 14:55:11 CET 2007	lupusalex

	1804402 IPv6 ready SLP

	TRC.java 1.2
	SLPString.java 1.2
	Net.java 1.2
	IPv6MulticastAddressFactory.java 1.2
	Convert.java 1.2
	TCPRequester.java 1.2
	SLEnumerationImpl.java 1.2
	ResultTable.java 1.2
	ResponseCache.java 1.2
	LocatorImpl.java 1.2
	DatagramRequester.java 1.2
	DACache.java 1.2
	TCPThread.java 1.2
	ServiceTable.java 1.2
	ServiceAgent.java 1.2
	RecieverThread.java 1.2
	MessageTable.java 1.2
	DatagramThread.java 1.2
	Util.java 1.2
	ServiceTypeRequest.java 1.2
	ServiceTypeReply.java 1.2
	ServiceRequest.java 1.2
	ServiceReply.java 1.2
	ServiceRegistration.java 1.2
	ServiceDeregistration.java 1.2
	ServiceAcknowledgment.java 1.2
	SLPOutputStream.java 1.2
	SLPMessage.java 1.2
	SLPInputStream.java 1.2
	SAAdvert.java 1.2
	RequestMessage.java 1.2
	ReplyMessage.java 1.2
	MsgHeader.java 1.2
	MsgFactory.java 1.2
	FunctionIDs.java 1.2
	DADescriptor.java 1.2
	DAAdvert.java 1.2
	AttributeRequest.java 1.2
	AttributeReply.java 1.2
	AttributeHandler.java 1.2
	SLPLimits.java 1.3
	SLPDefaults.java 1.3
	SLPConfig.java 1.5
	AdvertiserImpl.java 1.3
	TemplateRegistry.java 1.3
	ServiceURL.java 1.3
	ServiceType.java 1.3
	ServiceLocationManager.java 1.3
	ServiceLocationException.java 1.3
	ServiceLocationEnumeration.java 1.3
	ServiceLocationAttributeVerifier.java 1.3
	ServiceLocationAttributeDescriptor.java 1.3
	ServiceLocationAttribute.java 1.4
	SLPConfigProperties.java 1.3
	Locator.java 1.3
	Advertiser.java 1.3

Thu Dec 20 14:27:49 CET 2007	lupusalex

	Sync HEAD and Experimental

	mykey.cer 1.2
	WBEMClientCIMXML.java 1.33
	XMLHostStr.java 1.5
	ParameterRefArrayNode.java 1.5
	CIMQualifiedElementInterfaceImpl.java 1.7
	SLPTool.java 1.2
	sblim-cim-client2.properties 1.5

Thu Dec 20 13:52:55 CET 2007	lupusalex

	1804402 IPv6 ready SLP

	testcases.txt 1.16
	testcases.slp.txt 1.2
	testcases.slp.internal.txt 1.2
	testcases.discovery.txt 1.2
	testcases.debug.txt 1.3
	testcases.cim.txt 1.6
	DiscovererSLPTest.java 1.6
	DiscovererSLP.java 1.4
	NEWS 1.33

Thu Dec 20 13:42:33 CET 2007	lupusalex

	1832635 less strict parsing for IPv6 hostnames

	XMLHostStr.java 1.4
	XMLHostStrTest.java 1.2
	testcases.util.txt 1.2
	testcases.txt 1.15
	NEWS 1.32

Thu Dec 20 13:37:57 CET 2007	lupusalex

	1848607 Strict EmbeddedObject types 1827728 embeddedInstances: attribute EmbeddedObject not set

	EnumClasses.java 1.6
	EmbObjMethodRsp.xml 1.3
	EmbObjGetClass.xml 1.4
	WBEMConfigurationDefaults.java 1.14
	WBEMConfiguration.java 1.22
	CIMXMLParserImpl.java 1.25
	CIMXMLBuilderImpl.java 1.18
	CIMClientXML_HelperImpl.java 1.26
	EmbObjGetInstance.xml 1.5
	Common.java 1.3
	SAXSession.java 1.3
	EmbObjHandler.java 1.5
	TVPair.java 1.7
	ParserTest.java 1.16
	MethodCallChecker.java 1.2
	EmbeddedObjParsingTest.java 1.7
	CIMBuilder.java 1.14
	MethodNode.java 1.4
	AbstractParameterNode.java 1.4
	WBEMConfigurationProperties.java 1.20
	sblim-cim-client2.properties 1.4
	NEWS 1.31

Thu Dec 20 13:15:32 CET 2007	lupusalex

	1820763 Supporting the EmbeddedInstance qualifier

	EmbObjGetInstNegative2.xml 1.2
	EmbObjGetClass.xml 1.3
	EmbeddedObjParsingTest.java 1.6
	EmbeddedObjBuildingTest.java 1.5
	CIMBuilder.java 1.13
	ParameterReferenceNode.java 1.3
	ParameterRefArrayNode.java 1.4
	ParameterNode.java 1.3
	ParameterArrayNode.java 1.3
	AbstractParameterNode.java 1.3
	testcases.debug.txt 1.2
	EmbObjHandler.java 1.4
	CIMXMLBuilderImpl.java 1.17
	NEWS 1.30
	QualifiedNodeHandler.java 1.4
	CIMXMLParserImpl.java 1.24

Thu Dec 20 12:19:07 CET 2007	lupusalex

	1815707 TLS support

	WBEMConfigurationDefaults.java 1.13
	WBEMConfiguration.java 1.21
	HttpSocketFactory.java 1.11
	sblim-cim-client2.properties 1.3
	NEWS 1.29
	WBEMConfigurationProperties.java 1.19

Thu Dec 20 12:14:57 CET 2007	lupusalex

	1796339 Serializable interface missing from internal componentry

	CIMQualifiedElementInterfaceImpl.java 1.6
	NEWS 1.28

Thu Dec 20 11:59:44 CET 2007	lupusalex

	1783288 CIMClass.isAssociation() not working for retrieved classes.

	enumerateClasses.xml 1.6
	EnumClasses.java 1.5
	QualifiedNodeHandler.java 1.3
	ClassNode.java 1.4
	CIMXMLParserImpl.java 1.23
	CIMQualifiedElementInterfaceImpl.java 1.5
	CIMClass.java 1.13
	NEWS 1.27

Thu Dec 20 11:41:59 CET 2007	lupusalex

	1741654 Header mismatch error on ModifyInstance

	WBEMClientCIMXML.java 1.32
	NEWS 1.26

Thu Dec 20 11:09:52 CET 2007	lupusalex

	1776114 Cannot derive instance of class CIM_IndicationSubscription

	NEWS 1.25
	testcases.cim.txt 1.5
	CIMInstanceTest.java 1.2
	CIMInstance.java 1.12

Thu Dec 20 09:57:00 CET 2007	lupusalex

	Fix headers

	XMLHostStrTest.java 1.3
	ValueTypeTest.java 1.3
	TrailerTest.java 1.5
	MethodRspChecker.java 1.3
	CloseableIterator.java 1.4
	Common.java 1.3
	CIMParameterTest.java 1.3
	CIMObjectPathTest.java 1.5
	CIMMethodTest.java 1.3
	CIMClassPropertyTest.java 1.3
	CloseableIteratorSAX.java 1.9
	CloseableIteratorPULL.java 1.13
	CloseableIteratorDOM.java 1.12
	MOF.java 1.11
	TraceFormatter.java 1.5
	TimeStamp.java 1.3
	LogFormatter.java 1.6
	ValueArrayNode.java 1.5
	ReturnValueNode.java 1.7
	QualifierNode.java 1.5
	Node.java 1.6
	NameSpacePathNode.java 1.5
	KeyValueNode.java 1.6
	InstancePathNode.java 1.5
	HostNode.java 1.5
	ClassPathNode.java 1.5
	WBEMClientFactory.java 1.4
	WBEMClient.java 1.5
	RoleCredential.java 1.4
	PasswordCredential.java 1.4
	UnsignedInteger8.java 1.6
	UnsignedInteger32.java 1.6
	UnsignedInteger16.java 1.6
	CIMScope.java 1.5
	CIMQualifier.java 1.7
	CIMProperty.java 1.9
	CIMParameter.java 1.9
	CIMObjectPath.java 1.15
	CIMMethod.java 1.10
	CIMFlavor.java 1.6
	CIMElement.java 1.5
	CIMClassProperty.java 1.10
	CIMClass.java 1.12
	DiscoverySample.java 1.4
	URI.java 1.10
	Authority.java 1.8
	CIMObjectFactory.java 1.10
	CIMElementSorter.java 1.6
	unittest.html 1.5
	Discoverer.java 1.4
	AdvertisementCatalog.java 1.4

Sat Sep 22 21:20:43 CEST 2007	krawalter

	1769504	Type identification for VALUETYPE="numeric"

	ValueTypeEnumInstanceNames.xml 1.2
	ValueTypeTest.java 1.2
	testcases.parser.txt 1.8
	KeyValueNode.java 1.5
	CIMXMLParserImpl.java 1.22
	NEWS 1.24

Release 2.0.3
=============

Fri Aug 17 13:46:25 CEST 2007	krawalter

	1745282 Uniform time stamps for log files

	TraceFormatter.java 1.4
	TimeStamp.java 1.2
	LogFormatter.java 1.5
	NEWS 1.23

Fri Jul 27 13:08:00 CEST 2007	krawalter

	1729361 Multicast discovery is broken in DiscovererSLP

	ParserTest.java 1.15
	ReturnValueNode.java 1.6
	NameSpacePathNode.java 1.4
	InstancePathNode.java 1.4
	HostNode.java 1.4
	ClassPathNode.java 1.4
	Discoverer.java 1.3
	AdvertisementCatalog.java 1.3
	MethodRspWithReference.xml 1.2
	XMLHostStrTest.java 1.2
	MethodRspChecker.java 1.2
	testcases.parser.txt 1.7
	DiscovererSLP.java 1.3
	unittest.html 1.4
	DiscoverySample.java 1.3
	XMLHostStr.java 1.3

Fri Jul 27 13:06:02 CEST 2007	krawalter

	Updating NEWS file to reflect patches integrated into the HEAD branch a week ago.

	NEWS 1.22

Fri Jul 06 11:44:40 CEST 2007	krawalter

	1737141 Sync up with JSR48 evolution

	TrailerTest.java 1.4
	CIMBuilder.java 1.12
	Common.java 1.2
	CIMParameterTest.java 1.2
	CIMMethodTest.java 1.2
	CIMClassPropertyTest.java 1.2
	WBEMClientCIMXML.java 1.31
	CloseableIteratorSAX.java 1.8
	CloseableIteratorPULL.java 1.12
	CloseableIteratorDOM.java 1.11
	QualifierNode.java 1.4
	CIMQualifiedElementInterfaceImpl.java 1.4
	CIMElementSorter.java 1.5
	RoleCredential.java 1.3
	CIMQualifier.java 1.6
	CIMProperty.java 1.8
	CIMParameter.java 1.8
	CIMObjectPath.java 1.14
	CIMMethod.java 1.9
	CIMElement.java 1.4
	CIMClassProperty.java 1.9
	testcases.cim.txt 1.4
	CIMXMLParserImpl.java 1.21
	CIMXMLBuilderImpl.java 1.16
	WBEMClientFactory.java 1.3
	WBEMClient.java 1.4
	PasswordCredential.java 1.3
	CloseableIterator.java 1.3
	NEWS 1.21

Thu Jul 05 16:44:23 CEST 2007	krawalter

	1737123 Differences to JSR48 public review draft

	UnsignedInteger8.java 1.5
	UnsignedInteger32.java 1.5
	UnsignedInteger16.java 1.5
	CIMScope.java 1.4
	CIMFlavor.java 1.5
	CIMClassProperty.java 1.8
	CIMClass.java 1.11
	NEWS 1.20

Thu Jul 05 16:12:28 CEST 2007	krawalter

	1736318 Wrong object path in HTTP header

	CIMObjectPathTest.java 1.4
	WBEMClientCIMXML.java 1.30
	MOF.java 1.10
	NEWS 1.19

Thu Jul 05 15:54:08 CEST 2007	krawalter

	1735693 Empty VALUE.ARRAY elements are parsed as nulls

	enumerateClasses.xml 1.5
	EnumClasses.java 1.4
	TVPair.java 1.6
	ValueArrayNode.java 1.4
	CIMObjectFactory.java 1.9
	NEWS 1.18

Thu Jul 05 15:33:16 CEST 2007	krawalter

	1735614 Wrong ARRAYSIZE attribute handling in SAX/PULL

	enumerateClasses.xml 1.4
	EnumClasses.java 1.3
	ParameterRefArrayNode.java 1.3
	Node.java 1.5
	NEWS 1.17

Thu Jul 05 15:03:00 CEST 2007	krawalter

	1734936 DiscovererSLPTest fails in some environments

	DiscovererSLPTest.java 1.5
	NEWS 1.16

Thu Jul 05 14:46:42 CEST 2007	krawalter

	1734888 Wrong reference building in METHODCALL request

	TVPair.java 1.5
	CIMClientXML_HelperImpl.java 1.25

Thu Jul 05 14:27:43 CEST 2007	krawalter

	1723607 IPv6 support in WBEM-URI strings

	CIMObjectPathTest.java 1.3
	URI.java 1.9
	Authority.java 1.7
	unittest.html 1.3
	NEWS 1.15

Release 2.0.2
=============
Fri May 25 11:01:03 CEST 2007	lupusalex

	Documentation updates

	bestpractise.html 1.3

Tue May 22 17:58:33 CEST 2007	lupusalex

	1720707 Conventional Node factory for CIM-XML SAX parser 1719991 FVT: regression ClassCastException in EmbObjHandler 1712656 Correct type identification for SVC CIMOM

	TrailerTest.java 1.3
	TVPair.java 1.4
	SVCTest.java 1.2
	ParserTest.java 1.14
	ModifyInstanceTest.java 1.3
	EmbeddedObjParsingTest.java 1.5
	EmbeddedObjBuildingTest.java 1.4
	Common.java 1.2
	CIMBuilder.java 1.11
	ValueReferenceNode.java 1.3
	SimpleReqNode.java 1.4
	PropertyArrayNode.java 1.5
	ParameterNode.java 1.2
	Node.java 1.4
	NameSpacePathNode.java 1.3
	ErrorNode.java 1.3
	ClassNode.java 1.3
	AbstractArrayValueNode.java 1.2
	ValueObjectWithPathNode.java 1.3
	ValueNullNode.java 1.3
	SimpleRspNode.java 1.3
	ParameterArrayNode.java 1.2
	AbstractValueNode.java 1.2
	ResponseDestinationNode.java 1.3
	MultiReqNode.java 1.3
	MethodNode.java 1.3
	LocalNameSpacePathNode.java 1.4
	InstanceNode.java 1.3
	IReturnValueNode.java 1.3
	ClassPathNode.java 1.3
	CIMNode.java 1.3
	ValueRefArrayNode.java 1.3
	ValueObjectWithLocalPathNode.java 1.3
	ReturnValueNode.java 1.5
	QualiDeclNode.java 1.3
	PropertyReferenceNode.java 1.5
	MultiRspNode.java 1.3
	LocalInstancePathNode.java 1.3
	LocalClassPathNode.java 1.4
	KeyValueNode.java 1.4
	InstancePathNode.java 1.3
	ExpParamValueNode.java 1.3
	ClassNameNode.java 1.3
	AbstractScalarValueNode.java 1.2
	ValueNamedInstanceNode.java 1.3
	ParameterReferenceNode.java 1.2
	ParamValueNode.java 1.4
	IParamValueNode.java 1.4
	ValueObjectNode.java 1.4
	ValueNode.java 1.4
	ValueArrayNode.java 1.3
	SimpleReqAckNode.java 1.3
	SimpleExpReqNode.java 1.3
	ScopeNode.java 1.3
	PropertyNode.java 1.5
	NameSpaceNode.java 1.3
	MultiExpReqNode.java 1.3
	MessageNode.java 1.3
	KeyBindingNode.java 1.3
	IMethodCallNode.java 1.4
	HostNode.java 1.3
	ExpMethodResponseNode.java 1.3
	ExpMethodCallNode.java 1.3
	QualifierNode.java 1.3
	MethodCallNode.java 1.4
	InstanceNameNode.java 1.3
	IMethodResponseNode.java 1.3
	SVCMethodRsp.xml 1.2
	SVCMethodRsp.smpl0.xml 1.2
	SVCGetClass.xml 1.2
	SVCEnumQualiTypes.xml 1.2
	SimpleExpRspNode.java 1.3
	ParameterRefArrayNode.java 1.2
	ObjectPathNode.java 1.3
	MultiExpRspNode.java 1.3
	MethodResponseNode.java 1.3
	XMLDefaultHandlerImpl.java 1.3
	NodeFactory.java 1.2
	NodeConstIf.java 1.2
	EmbObjHandler.java 1.3
	CIMClientXML_HelperImpl.java 1.24
	CIMXMLParserImpl.java 1.20
	CIMXMLBuilderImpl.java 1.15
	testcases.parser.txt 1.6
	unittest.html 1.2
	NEWS 1.14

Thu May 17 16:02:55 CEST 2007	ebak

	file NodeConstIf.java was initially added on branch Experimental.

	NodeConstIf.java 1.1

Wed May 16 15:09:45 CEST 2007	ebak

	file SVCMethodRsp.smpl0.xml was initially added on branch Experimental.

	SVCMethodRsp.smpl0.xml 1.1

Wed May 16 13:54:56 CEST 2007	lupusalex

	Documentation updates

	bestpractise.html 1.2

Wed May 16 12:55:53 CEST 2007	lupusalex

	Documentation updates

	embedded.html 1.1
	AdvertisementCatalogTest.java 1.4
	overview.html 1.14
	unittest.html 1.1
	bestpractise.html 1.1

Wed May 16 11:38:20 CEST 2007	lupusalex

	Documentation updates

	WBEMConfigurationTest.java 1.6
	HttpHeaderTest.java 1.3
	WBEMServiceAdvertisementSLPTest.java 1.3
	DiscovererSLPTest.java 1.4
	AdvertisementCatalogTest.java 1.3

Mon May 14 16:00:05 CEST 2007	lupusalex

	Build file cosmetics

	build.xml 1.30

Fri May 11 13:20:06 CEST 2007	lupusalex

	Documentation updates

	logging.html 1.3

Fri May 11 13:13:56 CEST 2007	lupusalex

	Build file cosmetics

	build.xml 1.29

Fri May 11 13:09:57 CEST 2007	lupusalex

	1716502 Adding inclusion feature to the test framework

	testcases.txt 1.14
	TestSuite.java 1.8

Fri May 11 13:02:50 CEST 2007	lupusalex

	1716991 FVT: CIMObjectPath.equals() should ignore host name

	testcases.cim.txt 1.3
	CIMObjectPathTest.java 1.2
	CIMObjectPath.java 1.13

Fri May 11 13:02:28 CEST 2007	lupusalex

	file CIMObjectPathTest.java was initially added on branch Experimental.

	CIMObjectPathTest.java 1.1

Thu May 10 11:30:18 CEST 2007	lupusalex

	1715482 FVT: CIM_ERR_FAILED thrown when access denied

	WBEMClientCIMXML.java 1.29
	WBEMTransportException.java 1.4
	WBEMAuthenticationException.java 1.3
	WBEMException.java 1.4

Wed May 09 16:34:50 CEST 2007	lupusalex

	1715612 FVT: Status 0 in trailer is parsed as error

	HttpHeaderTest.java 1.2
	HttpHeader.java 1.5
	NEWS 1.13

Wed May 09 16:33:14 CEST 2007	lupusalex

	1715511 FVT: Wrong HTTP header values

	HttpClient.java 1.16
	NEWS 1.12

Wed May 09 16:31:46 CEST 2007	lupusalex

	1715027 FVT: Make message id random

	CimXmlSerializerTest.java 1.4
	CIMClientXML_HelperImpl.java 1.23
	NEWS 1.11

Wed May 09 16:29:56 CEST 2007	lupusalex

	 1714902 FVT: Threading related weak spots

	WBEMConfigurationTest.java 1.5
	WBEMConfiguration.java 1.20
	HttpClientPool.java 1.7
	build.xml 1.28
	NEWS 1.10
	WBEMClientCIMXML.java 1.28

Wed May 09 16:24:58 CEST 2007	lupusalex

	1714853 FVT: Inexplicit error when operation is invoked on closed client

	NEWS 1.9
	WBEMClientCIMXML.java 1.27

Wed May 09 16:16:27 CEST 2007	lupusalex

	1714878 FVT: Empty string property values are parsed as nulls

	TVPair.java 1.3
	ParserTest.java 1.13
	CIMBuilder.java 1.10
	ValueNode.java 1.3
	PropertyReferenceNode.java 1.4
	PropertyNode.java 1.4
	PropertyArrayNode.java 1.4
	KeyValueNode.java 1.3
	AbstractPropertyNode.java 1.4
	CIMXMLParserImpl.java 1.19
	EmbObjGetInstance.xml 1.4
	NEWS 1.8

Wed May 09 15:50:58 CEST 2007	lupusalex

	1711092 Some fixes/additions of log&trace messages

	messages_en.properties 1.14
	messages_de.properties 1.14
	Messages.java 1.14
	LogAndTraceBroker.java 1.11
	HttpSocketFactory.java 1.10
	TraceListener.java 1.3

Wed May 09 15:49:45 CEST 2007	lupusalex

	1715053 FVT: No forced retry on HTTP 501/510

	WBEMClientCIMXML.java 1.26

Wed May 09 13:33:33 CEST 2007	lupusalex

	file HttpHeaderTest.java was initially added on branch Experimental.

	HttpHeaderTest.java 1.1

Tue May 08 12:50:51 CEST 2007	lupusalex

	1714184  FVT: NPE on WBEMClientCIMXML.init()

	WBEMClientCIMXML.java 1.25

Mon May 07 14:27:29 CEST 2007	lupusalex

	1708584 CloseableIterator might not clean up streams

	CloseableIteratorTest.java 1.2
	CloseableIteratorSAX.java 1.7
	CloseableIteratorPULL.java 1.11
	CloseableIteratorDOM.java 1.10
	testcases.txt 1.13
	testcases.parser.txt 1.5
	XMLPullParser.java 1.9

Mon May 07 14:18:44 CEST 2007	lupusalex

	1686000 modifyInstance() missing from WBEMClient

	ReturnValueNode.java 1.4
	AbstractMethodCallNode.java 1.4

Mon May 07 13:56:18 CEST 2007	lupusalex

	1686000 modifyInstance() missing from WBEMClient

	ModifyInstanceTest.java 1.2
	EmbeddedObjBuildingTest.java 1.3
	CIMBuilder.java 1.9
	testcases.txt 1.12
	testcases.parser.txt 1.4
	WBEMClientCIMXML.java 1.24
	SimpleReqNode.java 1.3
	MethodCallNode.java 1.3
	LocalNameSpacePathNode.java 1.3
	LocalClassPathNode.java 1.3
	IParamValueNode.java 1.3
	IMethodCallNode.java 1.3
	AbstractParamValueNode.java 1.2
	AbstractMethodCallNode.java 1.3
	WBEMClient.java 1.3

Mon May 07 13:47:59 CEST 2007	lupusalex

	1688273 Full support of HTTP trailers

	TrailerTest.java 1.2
	ParserTest.java 1.12
	EmbeddedObjParsingTest.java 1.4
	trailer.bin.gz 1.2
	testcases.txt 1.11
	testcases.parser.txt 1.3
	WBEMClientCIMXML.java 1.23
	CloseableIteratorSAX.java 1.6
	CloseableIteratorPULL.java 1.10
	CloseableIteratorDOM.java 1.9
	WBEMConstants.java 1.10
	WBEMConfigurationDefaults.java 1.12
	WBEMConfiguration.java 1.19
	TrailerException.java 1.2
	ChunkedInputStream.java 1.5
	HttpHeader.java 1.4
	HttpClient.java 1.15
	WBEMConfigurationProperties.java 1.18
	SAXHelper.java 1.3
	sblim-cim-client2.properties 1.2

Mon May 07 13:17:51 CEST 2007	lupusalex

	1689085 Embedded object enhancements for Pegasus

	CIMXMLParserImpl.java 1.18

Fri May 04 14:43:29 CEST 2007	ebak

	file Common.java was initially added on branch Experimental.

	Common.java 1.1

Thu May 03 09:30:34 CEST 2007	lupusalex

	1678915 Integrated WBEM service discovery via SLP

	DiscovererSLPTest.java 1.3

Thu May 03 08:28:11 CEST 2007	lupusalex

	1702832 WBEMClientCIMXL.setCustomSocketFactory() not implemented

	WBEMConfigurationTest.java 1.4
	testcases.txt 1.10
	HttpClientTest.java 1.2
	WBEMClientCIMXML.java 1.22
	WBEMConfiguration.java 1.18
	configuration.html 1.6
	HttpClient.java 1.14

Mon Apr 30 17:40:52 CEST 2007	lupusalex

	1710066 LocalAuth fails for z/OS Pegasus

	WBEMConstants.java 1.9
	PegasusLocalAuthInfo.java 1.6
	NEWS 1.7

Mon Apr 30 11:38:54 CEST 2007	lupusalex

	1669961 CIMTypedElement.getType() =>getDataType()

	MOF.java 1.9
	CIMXMLParserImpl.java 1.17
	CIMXMLBuilderImpl.java 1.14
	CIMClientXML_HelperImpl.java 1.22
	CIMInstanceBuilder.java 1.7
	CIMValuedElement.java 1.7
	CIMTypedElement.java 1.7
	CIMObjectPath.java 1.12
	CIMInstance.java 1.11
	CIMClassProperty.java 1.7
	CIMClass.java 1.10
	Jsr48CimSample.java 1.3
	NEWS 1.6

Mon Apr 30 11:17:52 CEST 2007	lupusalex

	1669225 Ctor CIMDataType(int) shall be private

	CIMDataType.java 1.7
	NEWS 1.5

Mon Apr 30 11:13:10 CEST 2007	lupusalex

	1689085 Embedded object enhancements for Pegasus

	ReturnValue.SVC.xml 1.2
	EmbObjGetInstance.xml 1.3
	EmbObjGetInstNegative.xml 1.2
	ParserTest.java 1.11
	EmbeddedObjParsingTest.java 1.3
	ReturnValueNode.java 1.3
	PropertyReferenceNode.java 1.3
	PropertyNode.java 1.3
	PropertyArrayNode.java 1.3
	ParamValueNode.java 1.3
	Node.java 1.3
	AbstractPropertyNode.java 1.3
	EmbObjHandler.java 1.2
	CIMObjectFactory.java 1.8
	CIMXMLParserImpl.java 1.16
	CIMXMLBuilderImpl.java 1.13
	CIMClientXML_HelperImpl.java 1.21
	NEWS 1.4

Mon Apr 30 10:54:20 CEST 2007	lupusalex

	1678915 Integrated WBEM service discovery via SLP

	NEWS 1.3

Mon Apr 30 10:42:57 CEST 2007	lupusalex

	1678915 Integrated WBEM service discovery via SLP

	WBEMServiceAdvertisementSLPTest.java 1.2
	ServiceTable.java 1.3
	ServiceRepository.java 1.3
	ServiceLocationEnumeratorStreamed.java 1.3
	SLPStreamServer.java 1.3
	SLPServer.java 1.3
	SLPRequestHandler.java 1.3
	SLPHeaderV2.java 1.3
	SLPDatagramServer.java 1.3
	MessageDispatcher.java 1.3
	testcases.txt 1.9
	DiscovererSLPTest.java 1.2
	AdvertisementCatalogTest.java 1.2
	TestCase.java 1.8
	ServiceLocationAttribute.java 1.3
	package.html 1.2
	WBEMServiceAdvertisementSLP.java 1.2
	DiscovererSLP.java 1.2
	package.html 1.2
	package.html 1.2
	WBEMServiceAdvertisement.java 1.2
	WBEMProtocol.java 1.2
	DiscovererFactory.java 1.2
	Discoverer.java 1.2
	AdvertisementCatalog.java 1.2
	DiscoverySample.java 1.2
	overview.html 1.13
	discovery.html 1.2

Fri Apr 27 12:44:26 CEST 2007	ebak

	file CloseableIteratorTest.java was initially added on branch Experimental.

	CloseableIteratorTest.java 1.1

Tue Apr 24 10:14:50 CEST 2007	ebak

	file ReturnValue.SVC.xml was initially added on branch Experimental.

	ReturnValue.SVC.xml 1.1

Sat Apr 21 16:08:07 CEST 2007	ebak

	file ModifyInstanceTest.java was initially added on branch Experimental.

	ModifyInstanceTest.java 1.1

Thu Apr 19 16:44:55 CEST 2007	lupusalex

	Documentation update

	Jsr48OperationSample.java 1.3

Wed Apr 18 17:45:22 CEST 2007	lupusalex

	file HttpClientTest.java was initially added on branch Experimental.

	HttpClientTest.java 1.1

Tue Apr 17 17:32:24 CEST 2007	ebak

	file trailer.bin.gz was initially added on branch Experimental.

	trailer.bin.gz 1.1

Tue Apr 17 17:32:10 CEST 2007	ebak

	file TrailerException.java was initially added on branch Experimental.

	TrailerException.java 1.1

Tue Apr 17 17:31:47 CEST 2007	ebak

	file TrailerTest.java was initially added on branch Experimental.

	TrailerTest.java 1.1

Mon Apr 16 10:56:59 CEST 2007	lupusalex

	file discovery.html was initially added on branch Experimental.

	discovery.html 1.1

Mon Apr 16 10:56:57 CEST 2007	lupusalex

	file DiscovererSLP.java was initially added on branch Experimental.

	DiscovererSLP.java 1.1

Mon Apr 16 10:56:56 CEST 2007	lupusalex

	file WBEMServiceAdvertisementSLP.java was initially added on branch Experimental.

	WBEMServiceAdvertisementSLP.java 1.1

Mon Apr 16 10:56:53 CEST 2007	lupusalex

	file DiscovererSLPTest.java was initially added on branch Experimental.

	DiscovererSLPTest.java 1.1

Mon Apr 16 10:56:52 CEST 2007	lupusalex

	file WBEMServiceAdvertisementSLPTest.java was initially added on branch Experimental.

	WBEMServiceAdvertisementSLPTest.java 1.1

Mon Apr 16 10:56:51 CEST 2007	lupusalex

	file DiscoverySample.java was initially added on branch Experimental.

	DiscoverySample.java 1.1

Mon Apr 16 10:56:49 CEST 2007	lupusalex

	file DiscovererFactory.java was initially added on branch Experimental.

	DiscovererFactory.java 1.1

Mon Apr 16 10:56:48 CEST 2007	lupusalex

	file WBEMServiceAdvertisement.java was initially added on branch Experimental.

	WBEMServiceAdvertisement.java 1.1

Thu Apr 12 19:07:13 CEST 2007	ebak

	file EmbObjGetInstNegative.xml was initially added on branch Experimental.

	EmbObjGetInstNegative.xml 1.1

Thu Apr 12 19:07:12 CEST 2007	ebak

	file EmbObjHandler.java was initially added on branch Experimental.

	EmbObjHandler.java 1.1

Thu Apr 12 09:32:57 CEST 2007	lupusalex

	1686977 Change package structure

	build.xml 1.27

Wed Apr 11 13:22:43 CEST 2007	lupusalex

	1678807 Minor CIMDateTime suggestions

	testcases.txt 1.8
	testcases.cim.txt 1.2
	CIMDateTimeIntervalTest.java 1.2
	CIMDateTimeAbsoluteTest.java 1.2
	CIMDateTimeInterval.java 1.6
	CIMDateTimeAbsolute.java 1.8
	DTStringWriter.java 1.3
	DTStringReader.java 1.3

Wed Apr 11 13:14:32 CEST 2007	lupusalex

	1686977 Change package structure 1679620 Ant build fails with javadoc error

	build.xml 1.26

Wed Apr 11 13:07:11 CEST 2007	lupusalex

	1679534 wrong ValueObjectNode.testChild()

	ValueObjectNode.java 1.3

Wed Apr 11 12:58:55 CEST 2007	lupusalex

	1698278 Unit tests fail on Hungarian locale

	LogAndTraceBrokerTest.java 1.4

Fri Mar 23 21:39:39 CET 2007	lupusalex

	1663270 Minor performance problems 1660756 Embedded object support

	QualifiedNodeHandler.java 1.2
	ClassNode.java 1.2
	ValueReferenceNode.java 1.2
	PropertyArrayNode.java 1.2
	NameSpacePathNode.java 1.2
	ErrorNode.java 1.2
	ValueObjectWithPathNode.java 1.2
	ValueNullNode.java 1.2
	SimpleReqNode.java 1.2
	Node.java 1.2
	SimpleRspNode.java 1.2
	LocalNameSpacePathNode.java 1.2
	InstanceNode.java 1.2
	ClassPathNode.java 1.2
	IReturnValueNode.java 1.2
	CIMNode.java 1.2
	AbstractMessageNode.java 1.2
	MethodNode.java 1.2
	ResponseDestinationNode.java 1.2
	PropertyReferenceNode.java 1.2
	MultiReqNode.java 1.2
	ValueRefArrayNode.java 1.2
	KeyValueNode.java 1.2
	ReturnValueNode.java 1.2
	MultiRspNode.java 1.2
	LocalClassPathNode.java 1.2
	ExpParamValueNode.java 1.2
	AbstractMultiRspNode.java 1.2
	ClassNameNode.java 1.2
	ValueObjectWithLocalPathNode.java 1.2
	QualiDeclNode.java 1.2
	InstancePathNode.java 1.2
	ValueNamedInstanceNode.java 1.2
	LocalInstancePathNode.java 1.2
	AbstractParameterNode.java 1.2
	AbstractObjectNode.java 1.2
	ValueObjectNode.java 1.2
	ParamValueNode.java 1.2
	IParamValueNode.java 1.2
	KeyBindingNode.java 1.2
	ValueNode.java 1.2
	ValueArrayNode.java 1.2
	ScopeNode.java 1.2
	HostNode.java 1.2
	MultiExpReqNode.java 1.2
	NameSpaceNode.java 1.2
	ExpMethodCallNode.java 1.2
	SimpleExpReqNode.java 1.2
	PropertyNode.java 1.2
	ExpMethodResponseNode.java 1.2
	AbstractPropertyNode.java 1.2
	NonVolatileIf.java 1.2
	SimpleReqAckNode.java 1.2
	MessageNode.java 1.2
	IMethodCallNode.java 1.2
	QualifierNode.java 1.2
	MethodCallNode.java 1.2
	InstanceNameNode.java 1.2
	IMethodResponseNode.java 1.2
	AbstractMethodCallNode.java 1.2
	MultiExpRspNode.java 1.2
	MethodResponseNode.java 1.2
	SimpleExpRspNode.java 1.2
	ObjectPathNode.java 1.2
	CIMXMLBuilderImpl.java 1.12
	CIMClientXML_HelperImpl.java 1.20
	testcases.txt 1.7
	CIMXMLParserImpl.java 1.15
	testcases.parser.txt 1.2
	NodePool.java 1.2
	XMLDefaultHandlerImpl.java 1.2
	CIMObjectFactory.java 1.7
	EmbObjGetInstance.xml 1.2
	SAXSession.java 1.2
	SAXHelper.java 1.2
	EmbObjGetClass.xml 1.2
	EmbObjMethodRsp.xml 1.2
	XMLPullParser.java 1.8
	MOF.java 1.8
	CIMParameter.java 1.7
	CIMMethod.java 1.8
	CIMDataType.java 1.6
	CIMClassProperty.java 1.6
	ParserTest.java 1.10
	CIMBuilder.java 1.8
	EmbeddedObjBuildingTest.java 1.2
	EmbeddedObjParsingTest.java 1.2
	CIMQualifiedElementInterfaceImpl.java 1.3
	CIMElementSorter.java 1.4
	overview.html 1.12

Fri Mar 23 21:35:49 CET 2007	lupusalex

	1671502 Remove dependency from Xerces

	CimXmlSerializerTest.java 1.3

Fri Mar 23 21:22:47 CET 2007	lupusalex

	1671502 Remove dependency from Xerces

	CimXmlSerializer.java 1.3

Fri Mar 23 21:06:28 CET 2007	lupusalex

	1671502 Remove dependency from Xerces

	CimXmlSerializer.java 1.2
	CIMClientXML_HelperImpl.java 1.19
	testcases.txt 1.6
	sblim-cim-client2.spec 1.3
	CimXmlSerializerTest.java 1.2
	overview.html 1.11
	WBEMConstants.java 1.8

Tue Mar 20 13:26:51 CET 2007	ebak

	file CIMDateTimeAbsoluteTest.java was initially added on branch Experimental.

	CIMDateTimeAbsoluteTest.java 1.1

Tue Mar 20 13:26:50 CET 2007	ebak

	file CIMDateTimeIntervalTest.java was initially added on branch Experimental.

	CIMDateTimeIntervalTest.java 1.1

Tue Mar 20 13:26:49 CET 2007	ebak

	file testcases.cim.txt was initially added on branch Experimental.

	testcases.cim.txt 1.1

Mon Mar 19 09:38:06 CET 2007	lupusalex

	1679620 Ant build fails with javadoc error

	build.xml 1.25

Thu Mar 08 08:34:35 CET 2007	lupusalex

	1660743 SSLContext is static

	HttpSocketFactory.java 1.9
	HttpServerConnection.java 1.8
	HttpClientPool.java 1.6
	HttpClient.java 1.13
	testcases.txt 1.5
	SSLConfigurationTest.java 1.2
	TestSuite.java 1.7
	TestCase.java 1.7
	overview.html 1.10
	build.xml 1.24
	stranger.pks 1.2
	truststore.pks 1.2
	notrust.pks 1.2
	keystore.pks 1.2
	SSLConfigurationTest.java 1.3

Fri Mar 02 19:42:22 CET 2007	ebak

	file EmbeddedObjBuildingTest.java was initially added on branch Experimental.

	EmbeddedObjBuildingTest.java 1.1

Thu Mar 01 17:34:21 CET 2007	lupusalex

	1660575 Chunking broken on SUN JRE (*)

	ChunkedInputStream.java 1.4

Thu Mar 01 17:23:30 CET 2007	lupusalex

	1656285 IndicationHandler does not accept non-Integer message ID

	CIMXMLBuilderImpl.java 1.11
	CIMIndicationHandler.java 1.11